.whatsapp-chat-popup-icon {
    position: fixed;
    bottom: 26px;
    right: 25px;
    transition: .5s;
    border-radius: 50%;
    cursor: pointer;
	z-index: 100;
	box-shadow: 0 3px 6px rgb(0 0 0 / 25%);
}

.whatsapp-chat-popup {
	right: 25px;
	border-radius: 6px;
	vertical-align: bottom;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    border-radius: 6px;
    position: fixed !important;
    bottom: 0px;
    padding: 0;
    width: 320px;
    max-width: 90%;
    -moz-transition: .5s linear;
    box-shadow: rgba(0, 0, 0, .16) 0 5px 40px;
    -webkit-box-shadow: rgba(0, 0, 0, .16) 0 5px 40px;
    -moz-box-shadow: rgba(0, 0, 0, .16) 0 5px 40px;
    opacity: 0;
    visibility: hidden;
    z-index: -1;
    transition: .5s;
    -webkit-transition: .5s;
    animation-delay: -2s;
    -webkit-animation-delay: -2s;
}

.whatsapp-chat-popup.active {
    -webkit-transform: translateY(-93px);
    transform: translateY(-93px);
    opacity: 1;
    z-index: 50;
    visibility: visible;
    bottom: 0;
    pointer-events: auto;
}

.whatsapp-chat-popup-body {
	background: #e6ddd4;
    padding: 20px 20px 20px 10px;
    position: relative;
    z-index: 2;
    -webkit-border-top-left-radius: 6px;
    -webkit-border-top-right-radius: 6px;
    -moz-border-radius-topleft: 6px;
    -moz-border-radius-topright: 6px;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
}
.whatsapp-chat-popup-body::before {
	display: block;
    position: absolute;
    content: "";
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    z-index: 0;
    opacity: .08;
}

.whatsapp-chat-popup-message {
    padding: 7px 14px 6px;
    background-color: #fff;
    border-radius: 0 8px 8px;
    position: relative;
    transform-origin: center top;
    z-index: 2;
    box-shadow: rgba(0, 0, 0, .13) 0 1px .5px;
    margin-top: 4px;
    margin-left: 15px;
    max-width: calc(100% - 40px);
    font-size: 14px;
}

.whatsapp-chat-popup-message:before {
	position: absolute;
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAmCAMAAADp2asXAAAABGdBTUEAALGPC/xhBQAAAAFzUkdCAK7OHOkAAACQUExURUxpccPDw9ra2m9vbwAAAAAAADExMf///wAAABoaGk9PT7q6uqurqwsLCycnJz4+PtDQ0JycnIyMjPf3915eXvz8/E9PT/39/RMTE4CAgAAAAJqamv////////r6+u/v7yUlJeXl5f///5ycnOXl5XNzc/Hx8f///xUVFf///+zs7P///+bm5gAAAM7Ozv///2fVensAAAAvdFJOUwCow1cBCCnqAhNAnY0WIDW2f2/hSeo99g1lBYT87vDXG8/6d8oL4sgM5szrkgl660OiZwAAAHRJREFUKM/ty7cSggAABNFVUQFzwizmjPz/39k4YuFWtm55bw7eHR6ny63+alnswT3/rIDzUSC7CrAziPYCJCsB+gbVkgDtVIDh+DsE9OTBpCtAbSBAZSEQNgWIygJ0RgJMDWYNAdYbAeKtAHODlkHIv997AkLqIVOXVU84AAAAAElFTkSuQmCC);
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: contain;
    content: "";
    top: 0;
    left: -12px;
    width: 12px;
    height: 19px;
}

.whatsapp-chat-popup-message p {
	margin-bottom: 6px;
}

.whatsapp-chat-popup-close-container {
	position: absolute;
    right: 5px;
    top: 5px;
    background: #30534b;
    width: 22px;
    height: 22px;
    border-radius: 15px;
    padding: 3px;
    cursor: pointer;
    transition: .4s;
    -webkit-transition: .4s;
    -moz-transition: .4s;
}

.whatsapp-chat-popup-button {
	position: relative;
    width: 16px;
    height: 16px;
    transition: .4s;
    cursor: pointer;
}

.whatsapp-chat-popup-button:after, .whatsapp-chat-popup-button:before {
	content: "";
    position: absolute;
    width: 12px;
    height: 2px;
    background-color: #fff;
    display: block;
    border-radius: 2px;
    transform: rotate(45deg);
    top: 7px;
    left: 2px;
}

.whatsapp-chat-popup-button:after {
    transform: rotate(-45deg);
}

.whatsapp-chat-popup-close-container:hover {
    transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
}

.whatsapp-chat-popup-footer {
	position: relative;
	padding: 15px;
	text-align: center;
	background: #fff;
	-webkit-border-bottom-right-radius: 6px;
    -webkit-border-bottom-left-radius: 6px;
    -moz-border-radius-bottomright: 6px;
    -moz-border-radius-bottomleft: 6px;
    border-bottom-right-radius: 6px;
    border-bottom-left-radius: 6px;
}

.whatsapp-chat-popup-footer a {
	width: 100%;
    background: #25d366;
    border-radius: 8px;
    color: #fff;
    font-weight: 700;
    padding: 10px;
}

.whatsapp-chat-popup-footer a:hover {
	background: #22bf5b;
	color: #fff;
}